Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotopes_routines_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotopes_routines_mod.F90	(revision 4727)
@@ -16592,19 +16503,13 @@
          END DO
       END IF
-      IF(iso_eau > 0 .AND. ixt == iso_eau) THEN
-         DO i=1,klon
-            IF(iso_verif_egalite_nostop(run_off_lic_0(i),xtrun_off_lic_0(iso_eau,i),TRIM(modname)//' 326') == 1) THEN
-               WRITE(*,*) 'i=',i
-               STOP
-            END IF
-         END DO
-      END IF
 #endif
       ! ces variables n'ont pas de traceurs:
       IF(ixt <= niso) THEN
          found = phyetat0iso_get2(xtsol, "XTSOL", "Surface humidity / bucket", 0.)
+         if (.NOT.found) CALL abort_physic('isotopes_routines_mod', 'phyiso_etat0_fichier 16581b: unfound isotopic variable',1)
          found = phyetat0iso_get2(Rland_ice, "Rland_ice", "SR land ice", 0.)
-#ifdef ISOVERIF
-
+         found = phyetat0iso_srf3(xtsnow,      "XTSNOW", "Surface snow", 0.) ! CR avril 2023: deplacer ici 
+         found = phyetat0iso_get2(xtrun_off_lic_0, "XTRUNOFFLIC0", "RUNOFFLIC0", 0.)
+#ifdef ISOVERIF
          DO i=1,klon
             IF(iso_verif_noNaN_nostop(xtsol(ixt,i),TRIM(modname)//' 95') == 1) THEN
@@ -16612,5 +16517,12 @@
                STOP
             END IF
-         END DO
+            IF(ixt == iso_eau .AND. iso_eau > 0) THEN
+             DO nsrf = 1, nbsrf
+               CALL iso_verif_egalite(fxtevap(iso_eau,i,nsrf),fevap(i,nsrf),TRIM(modname)//' 231c')
+               CALL iso_verif_egalite( xtsnow(iso_eau,i,nsrf), snow(i,nsrf),TRIM(modname)//' 231d')
+             END DO
+             CALL iso_verif_egalite( xtrun_off_lic_0(iso_eau,i), run_off_lic_0(i),TRIM(modname)//' 231e')
+            ENDIF !IF(ixt == iso_eau .AND. iso_eau > 0) THEN
+         END DO !DO i=1,klon
 #endif
       END IF
@@ -16680,4 +16592,5 @@
   nam(1) = TRIM(pref)//TRIM(outiso)
   nam(2) = TRIM(pref)//TRIM(oldIso)
+  nam(3) = TRIM(pref)//TRIM(oldIso2)
   lFound = phyetat0_get(iso_tmp, nam, descr, default)
   field(ixt,:) = iso_tmp
@@ -16692,4 +16605,5 @@
   nam(1) = TRIM(pref)//TRIM(outiso)
   nam(2) = TRIM(pref)//TRIM(oldIso)
+  nam(3) = TRIM(pref)//TRIM(oldIso2)
   lFound = phyetat0_get(iso_tmp_lonlev, nam, descr, default)
   field(ixt,:,:) = iso_tmp_lonlev(:,:)
@@ -16703,4 +16617,5 @@
   nam(1) = TRIM(pref)//TRIM(outiso)
   nam(2) = TRIM(pref)//TRIM(oldIso)
+  nam(3) = TRIM(pref)//TRIM(oldIso2)
   lFound = phyetat0_srf(iso_tmp_lonsrf, nam, descr, default)
   field(ixt,:,:) = iso_tmp_lonsrf
@@ -18129,7 +18044,7 @@
 
       do iessai=1,nessai
-         day_nucl(iessai)   = 0.
-         month_nucl(iessai) = 0.
-         year_nucl(iessai)  = 0. 
+         day_nucl(iessai)   = 0
+         month_nucl(iessai) = 0
+         year_nucl(iessai)  = 0
          lat_nucl(iessai)   = 0.
          lon_nucl(iessai)   = 0.
@@ -18816,7 +18731,7 @@
           do i=1,n
             qttrac(i)=xt(ieau,i)
-!            if (qt(i).gt.0.0) then ! modif C Risi juillet 2020
-            if ((qt(i).gt.0.0).and.(xt(ieau,i).gt.0.0)) then
-               zcondtrac(i)=(zcond(i)/qt(i))*xt(ieau,i)
+            if (qt(i).gt.0.0) then ! modif C Risi juillet 2020 ! remodif Camille 9 mars 2023
+!            if ((qt(i).gt.0.0).and.(xt(ieau,i).gt.0.0)) then
+               zcondtrac(i)=(zcond(i)/qt(i))*qttrac(i)
             else !if (qt(i).eq.0) then
 #ifdef ISOVERIF              
@@ -18836,9 +18751,7 @@
             endif
             if (iso_HDO.gt.0) then
-!              if (qttrac(i).gt.ridicule_trac) then
                 call iso_verif_aberrant_choix(xttrac(iso_HDO,i), &
      &           qttrac(i),ridicule_trac,deltalimtrac, &
      &           'condisotrac 205')
-!              endif
             endif
             call iso_verif_positif(qt(i)-cond(i), &
@@ -18853,7 +18766,5 @@
           call condiso_liq_ice_vectall(xttrac,qttrac,zcondtrac, &
      &           tcond,zfice,zxticetrac,zxtliqtrac,n)
-#ifdef ISOVERIF          
-          write(*,*) 'condisotrac 167: après condiso'
-#endif           
+
           do i=1,n
           do iiso=1,niso          
@@ -18881,4 +18792,114 @@
 #endif
 
+subroutine iso_init_ideal(q,xt,ixt,alpha,kcin,toce)
+
+        USE isotopes_mod, ONLY: iso_eau,iso_HDO,ridicule
+#ifdef ISOVERIF
+        USE isotopes_verif_mod
+#endif
+        implicit none
+
+        ! inputs
+        real q ! humidité spec
+        integer ixt ! indice isotopique
+        real alpha ! coef frac à l'eq
+        real kcin ! coef frac cinétique
+        real toce ! rapport iso ds ocean surface
+
+        ! outputs
+        real xt ! equivalent iso de l'humidité spec, même unité.
+
+        ! locals
+        real RMerlivat
+        real q0,h0 ! conditions initiales de la distill de Rayleigh
+        parameter (q0=20e-3,h0=0.7)
+
+        ! verifier que ixt est un isotope et pas un tagging
+        if (ixt.gt.niso) then
+          CALL abort_physic('isotopes_routines_mod', 'iso_init_ideal, ixt>niso', 1)
+        endif
+
+        ! R selon Merlivat:
+        RMerlivat=toce/alpha *(1.0-kcin)/(1.0-kcin*h0)
+
+        ! R d'après Rayleigh
+        xt=q*RMerlivat*(min(q0,q)/q0)**(alpha-1.0)
+
+#ifdef ISOVERIF
+        call iso_verif_noNaN(xt, 'isotopes_routines_mod 18930a: iso_init_ideal')
+        if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
+            if (q.gt.ridicule) then
+                call iso_verif_aberrant_encadre( xt/q, 'isotopes_routines_mod 18930b: iso_init_ideal')
+            endif
+        endif
+        if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+             call iso_verif_egalite(xt,q, 'isotopes_routines_mod 18930c: iso_init_ideal')
+        endif
+#endif
+        
+
+end subroutine iso_init_ideal
+
+
+subroutine appel_stewart_debug(lwork,nloc,inb,na,i, &
+                evap,water,rpprec,rr,wdtrain, &
+                xtevap,xtwater,xtp,xt,xtwdtrain)
+USE isotopes_mod, ONLY: iso_eau, iso_HDO,thumxt1, &
+&       bidouille_anti_divergence,ridicule,Rdefault
+use infotrac_phy, ONLY: ntraciso=>ntiso, niso
+#ifdef ISOTRAC
+    use isotrac_mod, only: option_cond,izone_cond,index_iso,index_zone,izone_poubelle
+#endif
+#ifdef ISOVERIF
+USE isotopes_verif_mod
+#endif
+implicit none
+
+
+! inputs
+integer nloc,na,i ! dimension horiz effective
+logical lwork(nloc)
+real wdtrain(nloc),xtwdtrain(ntraciso,nloc)
+real xt(ntraciso,nloc,na)
+real evap(nloc,na),water(nloc,na),rpprec(nloc,na),rr(nloc,na)
+integer inb(nloc)
+
+! outputs
+real xtevap(ntraciso,nloc,na),xtwater(ntraciso,nloc,na),xtp(ntraciso,nloc,na)
+
+! locals
+integer il,ixt
+
+     do il=1,nloc
+       if (i.le.inb(il) .and. lwork(il)) then
+          if (wdtrain(il).gt.0.) then
+            do ixt=1,ntraciso
+             xtwater(ixt,il,i)= xtwdtrain(ixt,il)/wdtrain(il)*water(il,i)
+             xtevap(ixt,il,i)= xtwdtrain(ixt,il)/wdtrain(il)*evap(il,i)
+            enddo
+          else !if (wdtrain(il).gt.0.) then
+            do ixt=1,niso
+             xtwater(ixt,il,i)= Rdefault(ixt)*water(il,i)
+             xtevap(ixt,il,i)= Rdefault(ixt)*evap(il,i)
+            enddo
+#ifdef ISOTRAC
+            do ixt=1+niso,ntraciso
+             if (index_zone(ixt).eq.izone_poubelle) then
+               xtwater(ixt,il,i)= Rdefault(index_iso(ixt))*water(il,i)
+               xtevap(ixt,il,i)= Rdefault(index_iso(ixt))*evap(il,i)
+             else
+               xtwater(ixt,il,i)= 0.
+               xtevap(ixt,il,i)=0.
+             endif
+            enddo ! do ixt=1+niso,ntraciso
+#endif 
+         endif !if (wdtrain(il).gt.0.) then
+         do ixt=1,ntraciso
+             xtp(ixt,il,i)= xt(ixt,il,i)/rr(il,i)*rpprec(il,i)
+         enddo !do ixt=1,ntraciso
+      endif
+    enddo ! do il=1,ncum
+end subroutine appel_stewart_debug
+
 END MODULE isotopes_routines_mod
 #endif
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotopes_verif_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotopes_verif_mod.F90	(revision 4727)
@@ -2028,9 +2028,13 @@
 
           if (iso_verif_egalite_choix_nostop(xtractot,x(iiso), &
-     &        err_msg//', verif trac egalite, iso '// &
+     &        err_msg//', verif trac egalite1, iso '// &
      &        TRIM(isoName(iiso)), &
      &        errmaxin,errmaxrelin).eq.1) then
             write(*,*) 'iso_verif_traceur 202: x=',x
 !            write(*,*) 'xtractot=',xtractot
+            do izone=1,nzone  
+              ixt=itZonIso(izone,iiso)
+              write(*,*) 'izone,iiso,ixt=',izone,iiso,ixt
+            enddo
             iso_verif_tracm_choix_nostop=1
           endif
@@ -2398,5 +2402,5 @@
         call iso_verif_egalite_std_vect( &
      &           xtractot,xiiso, &
-     &           err_msg//', verif trac egalite, iso ' &
+     &           err_msg//', verif trac egalite2, iso ' &
      &           //TRIM(isoName(iiso)), &
      &           n,m,errmax,errmaxrel)
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotrac_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotrac_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotrac_mod.F90	(revision 4727)
@@ -638,5 +638,6 @@
          strtrac(izone_conv_UT)='cut'
       CASE DEFAULT
-         WRITE(*,*) 'traceurs_init 36: option pas encore prevue' ; STOP
+         WRITE(*,*) 'traceurs_init 36: option pas encore prevue'
+         CALL abort_physic ('isotrac_mod 641','option pas encore prevue',1)
    END SELECT
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotrac_routines_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/isotrac_routines_mod.F90	(revision 4727)
@@ -508,4 +508,6 @@
 !          write(*,*) 'compress 910: xtp_avantevap(iso_eau,cas(1))=',
 !     :           xtp_avantevap(iso_eau,cas(1))
+!        write(*,*) 'compress_evap_liq_zone 510: ncas,ncum=',ncas,ncum
+        ptrac(:)=0. ! CR 31 mars 2023: initialisation de ptrac
 
           ieau=index_trac(izone,iso_eau)
@@ -519,5 +521,5 @@
             else
 #ifdef ISOVERIF 
-                call iso_verif_egalite(( &
+              call iso_verif_egalite(( &
      &                   Eqi_prime(cas(il))),0.0, &
      &                   'compress_stewart 979')
@@ -685,5 +687,5 @@
                 call iso_verif_egalite(( &
      &                   Eqi_prime(cas(il))),0.0, &
-     &                   'compress_stewart 979')
+     &                   'compress_stewart 979b')
 #endif                
               Eqi_prime_cas(il)=0.0 
@@ -870,11 +872,4 @@
             enddo ! do iiso=1,niso           
           endif !if ((Eqi(il)*fac_ftmr(il).gt.evap_franche).and.
-#ifdef ISOVERIF
-          if (il.eq.9) then            
-            ixt=index_trac(2,2)
-            write(*,*) 'il,ixt,xtrevap_tag(ixt,il)=', &
-     &           il,xtrevap_tag(ixt,il)
-          endif !if (il.eq.9) then
-#endif          
          enddo !do il=1,ncas
 !         write(*,*) 'compress_stewart 1453 tmp: zxt=',
@@ -2791,5 +2786,4 @@
        real xtractot
         
-        write(*,*) 'iso_verif_traceur tmp 822: xt(:,66,1)=',x(:,66,1)
         ! verif noNaN
         call iso_verif_traceur_noNaN_vect(x,n,m,err_msg)
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/limit_read_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/limit_read_mod.F90	(revision 4727)
@@ -40,7 +40,5 @@
   USE surface_data
   USE mod_phys_lmdz_para
-#ifdef CPP_XIOS
-  USE XIOS
-#endif
+  USE lmdz_xios
   IMPLICIT NONE
     INTEGER, INTENT(IN) :: first_day
@@ -49,7 +47,5 @@
     IF ( type_ocean /= 'couple') THEN
       IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
-        IF (is_omp_master) CALL xios_set_file_attr("limit_read",enabled=.TRUE.,record_offset=first_day)
-#endif
+          IF (is_omp_master) CALL xios_set_file_attr("limit_read",enabled=.TRUE.,record_offset=first_day)
       ENDIF  
     ENDIF
@@ -288,7 +284,5 @@
     USE phys_cal_mod, ONLY : calend, year_len
     USE print_control_mod, ONLY: lunout, prt_level
-#ifdef CPP_XIOS
-    USE XIOS, ONLY: xios_recv_field
-#endif
+    USE lmdz_XIOS, ONLY: xios_recv_field
     
     IMPLICIT NONE
@@ -416,5 +410,4 @@
       IF (grid_type==unstructured) THEN
 
-#ifdef CPP_XIOS
         IF ( type_ocean /= 'couple') THEN
 
@@ -450,7 +443,5 @@
           CALL Scatter_omp(rug_mpi, rugos)
        END IF
-#endif
-
- 
+
      ELSE      ! grid_type==regular
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_atke_exchange_coeff.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_atke_exchange_coeff.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_atke_exchange_coeff.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_atke_exchange_coeff.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_atke_turbulence_ini.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_atke_turbulence_ini.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_atke_turbulence_ini.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_atke_turbulence_ini.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_blowing_snow_ini.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_blowing_snow_ini.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_blowing_snow_ini.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_blowing_snow_ini.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_blowing_snow_sublim_sedim.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_blowing_snow_sublim_sedim.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_blowing_snow_sublim_sedim.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_blowing_snow_sublim_sedim.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_call_atke.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_call_atke.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_call_atke.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_call_atke.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_call_blowing_snow.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_call_blowing_snow.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_call_blowing_snow.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_call_blowing_snow.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_call_cloud_optics_prop.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_call_cloud_optics_prop.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_call_cloud_optics_prop.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_call_cloud_optics_prop.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloud_optics_prop.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloud_optics_prop.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloud_optics_prop.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_cloud_optics_prop.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloud_optics_prop_ini.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloud_optics_prop_ini.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloud_optics_prop_ini.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_cloud_optics_prop_ini.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloudth.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloudth.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloudth.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_cloudth.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloudth_ini.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloudth_ini.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_cloudth_ini.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_cloudth_ini.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_lscp.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_lscp.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_lscp.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_lscp.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_lscp_ini.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_lscp_ini.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_lscp_ini.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_lscp_ini.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_lscp_tools.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_lscp_tools.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_lscp_tools.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_lscp_tools.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_ratqs_ini.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_ratqs_ini.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_ratqs_ini.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_ratqs_ini.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_ratqs_main.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_ratqs_main.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_ratqs_main.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_ratqs_main.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_ratqs_multi.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_ratqs_multi.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_ratqs_multi.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_ratqs_multi.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_alim.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_alim.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_alim.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_alim.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_alp.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_alp.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_alp.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_alp.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_closure.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_closure.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_closure.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_closure.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_down.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_down.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_down.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_down.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dq.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dq.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dq.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_dq.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dry.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dry.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dry.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_dry.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dtke.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dtke.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dtke.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_dtke.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dv2.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dv2.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_dv2.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_dv2.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_env.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_env.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_env.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_env.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_flux2.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_flux2.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_flux2.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_flux2.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_height.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_height.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_height.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_height.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_ini.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_ini.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_ini.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_ini.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_main.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_main.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_main.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_main.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_old.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_old.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_old.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_old.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_plume.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_plume.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_plume.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_plume.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_plume_6A.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_plume_6A.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_plume_6A.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_plume_6A.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_qsat.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_qsat.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/lmdz_thermcell_qsat.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_thermcell_qsat.F90
